%define upstream_name    Any-Moose
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use Moose or Mouse modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SA/SARTAK/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Mouse)

BuildArch: noarch


Requires: perl(Mouse)

%description
Actual documentation is forthcoming, once we solidify all the bits of the
API. The examples above are very likely to continue working.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jan 23 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 33572
- mageia rebuild
- imported package perl-Any-Moose

